
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/i386-linux-gnu/cmake/Qt6QmlPdWidgets1" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################
include(CMakeFindDependencyMacro)
find_dependency(Qt6PdCom1)
find_dependency(Qt6 COMPONENTS Core;Quick)

foreach(PD_TARGET Qt6QmlPdWidgets1;Qt6QmlPdWidgets1plugin;Qt6QmlPdWidgets1_style;Qt6QmlPdWidgets1_styleplugin;Qt6QmlPdWidgets1_qmldir)
    include("${CMAKE_CURRENT_LIST_DIR}/${PD_TARGET}Targets.cmake")
endforeach()

get_target_property(
    TARGET_PROPERTY_PD_QML_ROOT_PATH
    EtherLab::Qt6QmlPdWidgets1_qmldir
    INTERFACE_INCLUDE_DIRECTORIES
)

find_path(PD_QML_ROOT_PATH de
    PATHS ${TARGET_PROPERTY_PD_QML_ROOT_PATH}
    DOC "Path where PD QML widgets are installed"
    REQUIRED
    NO_DEFAULT_PATH
)

check_required_components(Qt6QmlPdWidgets1)
